TSMGMTCONFIGFILEADD(3ts)

NAME
TSMgmtConfigFileAdd - TSMgmtConfigFileAdd API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSMgmtConfigFileAdd(const char *parent, const char *fileName)

DESCRIPTION

This is used to 'attach' a config file to a parent config file. It is meant to be used in the context of a plugin but can also be used internally. Using this you can tie a plugin's config file to, for example, remap.config. In that instance any changes to the fileName file will trigger a reload of the parent file when a config reload is requested.

In the case of a remap.config reload all parent-child file associations are destroyed on reload but plugins are also reloaded, so if using it within a plugin the API should be called in a location that will be known to be called on plugin initialization.

COPYRIGHT
2025, dev@trafficserver.apache.org